## org.eclipse.wst.ws.service.policy
Interface IPolicyRelationship

All Known Implementing Classes:
  PolicyRelationshipImpl

    public interface IPolicyRelationship

This interface is used to describe the dependency relationships between service policies.

Method Summary
`IPolicyEnumerationList` `getPolicyEnumerationList()` Returns the policy enumeration list for this relationship.
`java.util.List<IPolicyEnumerationList>` `getRelatedPolicies()` Returns the related policies for this relationship.

Method Detail

### getPolicyEnumerationList

    IPolicyEnumerationList getPolicyEnumerationList()

  Returns the policy enumeration list for this relationship.

  Returns:
    This method returns the source service policy along with a list of possible states that this source policy could be in.

### getRelatedPolicies

    java.util.List<IPolicyEnumerationList> getRelatedPolicies()

  Returns the related policies for this relationship.

  Returns:
    returns a list of other target service policies and the states that these policies must be in to satisfy the relationship.